Update · Management API
Update
PUT
/Users?partnershipId={partnershipId}Parameter
partnershipIdintErforderlichthe partnershipId id
10362Request-Header
AuthorizationBASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHljKontext: User management
Property Description
User (object)
| Property | Data type | Description |
|---|---|---|
| Id | String | The id of the user |
| Token | String | The automatically generated token of the user |
| Firstname | String | The first name of the user |
| Surname | String | The surname of the user |
| String | The email of the user | |
| EmployeeId | String | The employee id of the user |
| CostCenters | Array[Object] | Array of Cost center objects holding information about the cost center |
Cost center (object)
| Property | Data type | Description |
|---|---|---|
| Code | String | The code of the cost center |
| StoreId | String | The id of the store of the cost center |
Originaler Blueprint-Ausschnitt
API Blueprint
### Update [PUT]
+ Request
+ Headers
Authorization : BASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHlj
+ Body
{
"Id": "88518a27e6e04a798519a0d135ffc325",
"Firstname": "John",
"Surname": "Doe",
"Email": "johndoe@example.com",
"EmployeeId": "ABC-JD-123",
"CostCeneters": [
{
"Code": "H38UJ",
"StoreId": "ZZZ-ZZZZ"
},
{
"Code": "G56KM",
"StoreId": "ZZZ-ZZZZ"
}
]
}
+ Response 200
+ Body
{
"Id": "88518a27e6e04a798519a0d135ffc325",
"Token": "ED087A7AAAAF",
"Firstname": "John",
"Surname": "Doe",
"Email": "johndoe@example.com",
"EmployeeId": "ABC-JD-123",
"CostCeneters": [
{
"Code": "H38UJ",
"StoreId": "ZZZ-ZZZZ"
},
{
"Code": "G56KM",
"StoreId": "ZZZ-ZZZZ"
}
]
}